> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ainvest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Wire content

> Returns the news content body for a given news ID. For performance reasons, content body is not included in the news headline [page](/reference/news/wires) endpoint.



## OpenAPI

````yaml reference/news/news.yaml GET /news/v1/wire/info/{content_id}
openapi: 3.1.0
info:
  title: News and articles API
  description: Get the latest news and articles
  version: 1.0.0
servers:
  - url: https://openapi.ainvest.com/open
    description: Production environment
security:
  - bearerAuth: []
tags:
  - name: News
externalDocs:
  description: Find detailed documentation for all use cases related to this API
  url: https://docs.ainvest.com/news
paths:
  /news/v1/wire/info/{content_id}:
    get:
      tags:
        - News
      summary: Get news content
      description: >-
        Returns the news content body for a given news ID. For performance
        reasons, content body is not included in the news headline
        [page](/reference/news/wires) endpoint.
      operationId: getNewsContent
      parameters:
        - name: content_id
          in: path
          required: true
          description: Denotes the news headline identifier
          schema:
            type: string
      responses:
        '200':
          description: An array of news headline structures
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-04/schema#
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      content_id:
                        type: string
                        description: The news item identifier
                      title:
                        type: string
                        description: The news headline
                      content:
                        type: string
                        description: >-
                          Rich text content body. Can include pieces of HTML, so
                          make sure to strip any tags you don't need.
                      publish_time:
                        type: number
                        description: Content publish timestamp, milliseconds
                      source:
                        type: string
                        description: Content source name
                      language:
                        type: string
                        description: The language of the content
                      cover_image:
                        type: string
                        description: Content cover image URL
                      tag_list:
                        type: array
                        description: >-
                          List of tags attached to the content. A tag can be a
                          ticker symbol mentioned in the content.
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              description: Ticker symbol mentioned in the content
                            market:
                              type: string
                              description: >-
                                Market code, please refer to the [market
                                codes](/reference/codes) in the documentation
                            name_en:
                              type: string
                              description: Company name
                          required:
                            - code
                            - market
                            - name_en
                  status_code:
                    type: number
                    description: Status code, `0` for success
                  status_msg:
                    type: string
                    description: Status message, `success` for success
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your key. [Get the key
        here](https://www.ainvest.com/business/developer-manage/)

````